
;&&&&& &&&&   &&&&&  &&&&&  &&&&&   &&&   &&&&&     &&&    &&&
;&     &   &  &        &      &    &   &     &     &   &  &&
;&&&   &&&&   &&&      &      &    &&&&&    &      &   &   &&
;&     &   &  &        &      &    &   &   &       &   &    &&
;&     &   &  &&&&&  &&&&&    &    &   &  &&&&&     &&&   &&&
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%% By: Hugo Freitas %%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

usermemoff         equ 89ECh
_ldhlind           equ 4009h
_newline           equ 452Eh
_JForceCmd         equ 402Ah
_homeup            equ 4558h
progstart          equ 9327h
_UserMem           equ 9D95h


;*******
;Macros*
;*******

rbr_call    equ 28h
brt_jump0   equ 50h

b_call macro   label
	     rst     rbr_call
	     dw      _&label
       .endm

b_jump macro   label
	     call    brt_jump0	     ; fixed location on page 0
	     dw      _&label
       .endm

;*******************************************
;Pre-defined values of FreitazOS, equations*
;*******************************************

FrtzOS_Compatibility    .equ 0h
Version_Major           .equ 1h
Version_Minor           .equ 1h
Library_Compatibility   .equ 0h
Number_Of_Libraries     .equ 8h;(Indefinido ainda)
_FreitazOS_Page_1	    .equ 44*3
_FreitazOS_Page_2	    .equ 45*3
_FreitazOS_Page_3		.equ 46*3

;*****************************
;ROM Routines of TI-OS System*
;*****************************


_Arc_Unarc  		equ 4FD8h
_ChkFindSym         equ 42F1h
_ClrScrnFull        equ 4546h
_CreateAppVar       equ 4E6Ah
_CreateProg         equ 4339h
_CreateProtProg     equ 4E6Dh
_DelVarArc          equ 4FC6h
_DisplayImage   	equ 4D9Bh
_DispHL             equ 4507h
_EnoughMem  		equ 42FDh
_GetCSC             equ 4018h
_GetKey             equ 4972h
_GetSysInfo         equ 50DDh
_GrBufClr           equ 4BD0h
_GrBufCpy           equ 486Ah
_ILine              equ 47E0h
_IPoint             equ 47E3h
_JForceCmdNoChar    equ 4027h
_Mov9ToOP1          equ 417Ah
_ParseInp           equ 4A9Bh
_PutC               equ 4504h
_SetExSpeed			equ 50BFh
_VPutMap           	equ 455Eh


;**************************
;ROM Routines of FreitazOS*
;**************************
;When everything is put and defined put a "F_" before every label in this box.

F_Cursor_Ready
F_Fast_Copy
F_Square_Position_Confirm
F_Version_FreitazOS
F_Insert_Text
F_Insert_Pass
F_PutL
F_VPutS

;***************************
;RAM TI-OS System equations*
;***************************

OP1             	equ  8478h
OP2                 equ  8483h
OP3                 equ  848Eh
OP4                 equ  8499h
OP5                 equ  84A4h
OP6                 equ  84AFh
textShadow          equ  8508h
penCol              equ  86D7h
penRow              equ  86D8h
statVars            equ  8A3Ah
plotSScreen         equ  9340h
cmdShadow           equ  966Eh
progPtr             equ  9830h
pTemp               equ  982eh
saveSScreen         equ  86ECh
appBackUpScreen     equ  9872h

;*********************************
;Data type equations TI-OS System*
;*********************************

ProgObj         	equ  5h
ProtProgObj     	equ  6h
AppObj				equ  14h
AppVarObj			equ  15h

;************************
;RAM FreitazOS equations*
;************************					;******
											;Bytes*
											;******
Alpha_Mode          equ  saveSScreen		;	1	;Variable	
Fonte               equ  saveSScreen+1		;	1	;Variable
Caracteres          equ  saveSScreen+2		;	1	;Variable
Cursor_Buffer       equ  saveSScreen+3		;	4	;Variable
Square_User         equ  saveSScreen+7		;	40	;Variable
Cursor_Style        equ  saveSScreen+47		;	1	;Variable
XPos_Cursor         equ  saveSScreen+48		;	1	;Variable
YPos_Cursor         equ  saveSScreen+49		;	1	;Variable
Mode_System         equ  saveSScreen+50		;	1	;Variable
penCol_FrtzOS       equ  saveSScreen+51		;	1	;Variable
penRow_FrtzOS       equ  saveSScreen+52		;	1	;Variable
Type_Variable		equ  saveSScreen+53		;	1	;Variable
Name_Variable       equ  saveSScreen+54		;	8	;Variable
Info_TIOS			equ  saveSScreen+62		;	9	;Information about TI-OS
ADMIN_System		equ  saveSScreen+71		;	22	;Information about user1
USER1_System		equ  saveSScreen+93		;	22	;""(2)
USER2_System		equ  saveSScreen+115	;	22	;""(3)
USER3_System		equ  saveSScreen+137	;	22	;""(4)
USER4_System		equ  saveSScreen+159	;	22	;""(5)
Users_System		equ  saveSScreen+181	;	1	;Number of users
Buffer_Write		equ  saveSScreen+182	;	13	;Variable
Mode_0_Cursor		equ  saveSScreen+195	;	1	;Variable
User_Active			equ  saveSScreen+196	;	1	;User that are active in the system
Buffer_User			equ  saveSScreen+197	;	84	;Variable
Active_Keys			equ  saveSScreen+281	;	1	;Variable
Pass_Active			equ  saveSScreen+282	;	1	;Pass active in the system
Buffer_Pass			equ  saveSScreen+283	;	8	;Variable
Icon_Find			equ  saveSScreen+291	;	2	;Variable
Matriz_Icons		equ  saveSScreen+293	;	220	;System icons data
Display_Name		equ  saveSScreen+513	;	1	;Variable
Cursor_User			equ  saveSScreen+514	;	4	;Variable
Contrast_Source		equ	 saveSScreen+518	;	1	;Contrast of LCD
Buffer_Icon_I		equ	 saveSScreen+519	;	32	;Variable
Buffer_Icon_T		equ	 saveSScreen+551	;	5	;Variable
Number_Icons		equ  saveSScreen+556	;	2	;Number of the last icon put (max FFFF min F001)
Window_Active		equ  saveSScreen+558	;	3	;Window active
Selector_Icon		equ  saveSScreen+561	;	1	;Show the icon select
Selector_Iniciar	equ  saveSScreen+562	;	1	;Show the option of Iniciar select
Buffer_Windows		equ	 saveSScreen+563	;	200 ;Buffer windows minimizted
Windows_Active		equ	 saveSScreen+763	;	1	;Number of windows activate
Buffer_Find_Pointer	equ  saveSScreen+764	;	3	;Variable
Recycle_Empty		equ	 saveSScreen+765	;	1	;Empty = 1 Desempty =0
;...
Buffer_Executer		equ	 appBackUpScreen	;	200 ;Buffer Executer
;**********************
;Little font FreitazOS*
;**********************

lA                  equ  001h
lB                  equ  002h
lC                  equ  003h                 
lD                  equ  004h
lE                  equ  005h
lF                  equ  006h
lG                  equ  007h
lH                  equ  008h
lI                  equ  009h
lJ                  equ  00Ah
lK                  equ  00Bh
lL                  equ  00Ch
lM                  equ  00Dh
lN                  equ  00Eh
lO                  equ  00Fh
lP                  equ  010h
lQ                  equ  011h
lR                  equ  012h
lS                  equ  013h
lT                  equ  014h
lU                  equ  015h
lV                  equ  016h
lW                  equ  017h
lX                  equ  018h
lY                  equ  019h
lZ                  equ  01Ah
lPoint              equ  01Bh
lSub                equ  01Ch
lAdd                equ  01Dh
lAsps               equ  01Eh
lDiv                equ  01Fh
lPoints             equ  020h
l0                  equ  021h
l1                  equ  022h
l2                  equ  023h
l3                  equ  024h
l4                  equ  025h
l5                  equ  026h
l6                  equ  027h
l7                  equ  028h
l8                  equ  029h
l9                  equ  02Ah
lSpace              equ  02Bh
lBlack				equ	 02Ch
lIns				equ	 02Dh
lMore				equ	 02Eh
lLess				equ  02Fh

;**********************
;Keys Cursor FreitazOS*
;**********************

FClear				equ  000h
F2nd				equ  001h
FEnter				equ  002h
FAlpha				equ  003h
FApps				equ  004h
FMode				equ  005h
FAdd				equ  006h
FSub				equ  007h
FSto				equ  008h
FOn					equ  009h
F0					equ	 00Ah
F1					equ  00Bh
F2					equ  00Ch
F3					equ	 00Dh
F4				 	equ	 00Eh
F5					equ	 00Fh
F6					equ	 010h
F7					equ  011h
F8					equ  012h
F9					equ  013h
FDel				equ  014h
FY1					equ	 015h
FY2					equ  016h
FY3					equ	 017h
FY4					equ	 018h
FY5					equ	 019h
FN					equ  0FFh

;****************************
;Keys of GetCSC TI-OS System*
;****************************

skDown              equ  01h
skLeft              equ  02h
skRight             equ  03h
skUp                equ  04h
skEnter             equ  09h
skAdd               equ  0Ah
skSub               equ  0Bh
skMul               equ  0Ch
skDiv               equ  0Dh
skPower             equ  0Eh
skClear             equ  0Fh
skChs               equ  11h
sk3                 equ  12h
sk6                 equ  13h
sk9                 equ  14h
skRParen            equ  15h
skTan               equ  16h
skVars              equ  17h
skDecPnt            equ  19h
sk2                 equ  1Ah
sk5                 equ  1Bh
sk8                 equ  1Ch
skLParen            equ  1Dh
skCos               equ  1Eh
skPrgm              equ  1Fh
skStat              equ  20h
sk0                 equ  21h
sk1                 equ  22h
sk4                 equ  23h
sk7                 equ  24h
skComma             equ  25h
skSin               equ  26h
skMatrix            equ  27h
skGraphvar          equ  28h
skStore             equ  2Ah
skLn                equ  2Bh
skLog               equ  2Ch
skSquare            equ  2Dh
skRecip             equ  2Eh
skMath              equ  2Fh
skAlpha             equ  30h
skGraph             equ  31h
skTrace             equ  32h
skZoom              equ  33h
skWindow            equ  34h
skYequ              equ  35h
sk2nd               equ  36h
skMode              equ  37h
skDel               equ  38h

;******************
;Errs of FreitazOS*
;******************

Err_NMem				equ 00h
Err_AppVar_NFind		equ 01h
Err_AppVar_Data			equ 02h
Err_Pass_System			equ 03h
Err_Icon_NFound			equ	04h
Err_Execute_Fail		equ	05h
Err_Extension_NFound	equ	06h
Err_Icon_System			equ 07h
Err_Key_NFound			equ	08h
Err_Data_InsideF		equ	09h

;******
;Flags*
;******

doneFlags   		equ  	0
donePrgm    		equ    	5
plotFlags   		equ  	2
plotLoc     		equ    	1
plotDisp    		equ    	2
textFlags   		equ  	5
textEraseBelow  	equ    	1
textScrolled    	equ    	2
textInverse 		equ    	3
apdFlags    		equ  	8
apdAble     		equ    	2
apdRunning  		equ    	3
onFlags     		equ  	9
onInterrupt 		equ    	4
appFlags    		equ  	13
appTextSave 		equ    	1
appAutoScroll   	equ    	2
appMenus    		equ    	3
appExit     		equ    	7
promptFlags 		equ  	17
promptEdit  		equ    	0
indicFlags  		equ  	18
indicRun    		equ    	0
indicInUse  		equ    	1
indicOnly   		equ    	2
sGrFlags    		equ  	20
grfSplit        	equ    	0
vertSplit       	equ    	1
textWrite       	equ    	7
asm_Flag1       	equ  	33
asm_Flag2       	equ  	34
asm_Flag3       	equ  	35
getSendFlg  		equ  	36
comFailed   		equ  	1
appLwrCaseFlag  	equ  	36
lwrCaseActive   	equ  	3
apiFlg3     		equ  	42 
apiFlg4     		equ  	43
fullScrnDraw    	equ  	2
plotFlag3  		 	equ  	60  
bufferOnly  		equ    	0
useFastCirc 		equ    	4
fontFlags   		equ  	50
fracDrawLFont   	equ    	2
asm_Flag1        	equ     33
asm_Flag1_0			equ		0
asm_Flag1_1			equ		1
asm_Flag1_2			equ		2
asm_Flag1_3			equ		3
asm_Flag1_4			equ		4
asm_Flag1_5			equ		5
asm_Flag1_6			equ		6
asm_Flag1_7			equ		7
